<template>
    <header>
        <h1>{{ title }}</h1>
        <h2>{{ msg }}</h2>
        <Button v-show="homePage" 
            @btn-click="$emit('btn-click')" 
            :text="showAddTask ? 'Close':'Add Task' " 
            :color="showAddTask ? 'red' : 'blue' " />
    </header>
</template>

<script>
import Button from './Button.vue'

export default {
    name: 'Header',
    props:{
        title: {
            type: String,
            default: 'Obi One Kenobi'
        },
        msg: {},
        showAddTask: Boolean
    },
    components: {
        Button
    },
    computed: {
        homePage() {
            return this.$route.path === '/' ? true:false
        }
    }
}
</script>

<style scoped>
    header {
        display: block;
        justify-content: center;
        align-items: center;
        margin-bottom: 20px;
    }
</style>